%global srcname hcs_utils

Name:		python-hcs_utils
Version:	1.1.1
Release:	10%{?dist}
Summary:	A collection of useful python snippets for hcs's projects

Group:		Development/Libraries
License:	ISC
URL:		http://pypi.python.org/pypi/hcs_utils
Source0:	http://pypi.python.org/packages/source/h/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python2-devel
BuildRequires:	python-setuptools
BuildRequires:	python-nose


%description
This collection of python snippets includes:
* memoize decorator (caching)
* a storage class wrapping a dict.
* unittest assert functions.
* Functions for handling large JSON documents.
* list_dir(path) –> (dirnames, filenames)
* PID file locking
* A synchronization decorator


%prep
%setup -q -n %{srcname}-%{version}


%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

# Remove shebang
for lib in `find %{buildroot}%{python_sitelib}/hcs_utils/ -name '*.py'`; do
	sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
	touch -r $lib $lib.new &&
	mv $lib.new $lib
done

%files
%defattr(-,root,root,-)
%doc README.txt IDEAS.txt HACKING.txt NEWS.txt
%{python_sitelib}/hcs_utils*



%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 6 2010 Howard Ning <mrlhwliberty@gmail.com> - 1.1.1-3
- BuildRequires python-setuptools 

* Wed Aug 4 2010 Howard Ning <mrlhwliberty@gmail.com> - 1.1.1-2
- Clean up the spec file 

* Sun Jul 25 2010 Howard Ning <mrlhwliberty@gmail.com> - 1.1.1-1
- Goobook requires version 1.1.1.

* Tue Jun 22 2010 Howard Ning <mrlhwliberty@gmail.com> - 1.2-0.1.rc4
- Initial Release
